JavaAwareCompilationUnit (Groovy 5.0.0)

Package: org.codehaus.groovy.tools.javac

## [Java] Class JavaAwareCompilationUnit

- org.codehaus.groovy.tools.javac.JavaAwareCompilationUnit

-     public class JavaAwareCompilationUnit
      extends CompilationUnit

  Compilation Unit capable of compiling Java source files.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CompilationUnit` | `ast, astTransformationsContext, classNodeResolver, classgenCallback, configured, debug, progressCallback, queuedSources, resolveVisitor, sources`
    `class ProcessingUnit` | `classLoader, configuration, errorCollector, phase, phaseComplete`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JavaAwareCompilationUnit()`
    `JavaAwareCompilationUnit(CompilerConfiguration configuration)`
    `JavaAwareCompilationUnit(CompilerConfiguration configuration, GroovyClassLoader groovyClassLoader)`
    `JavaAwareCompilationUnit(CompilerConfiguration configuration, GroovyClassLoader groovyClassLoader, GroovyClassLoader transformClassLoader)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addSources(String[] paths)`
    `` | `public void` | `addSources(File[] files)`
    `` | `public void` | `configure(CompilerConfiguration configuration)`
    `` | `public JavaCompilerFactory` | `getCompilerFactory()`
    `` | `public void` | `gotoPhase(int phase)`
    `` | `public LookupResult` | `resolveName(String name, CompilationUnit unit)`
    `` | `public void` | `setCompilerFactory(JavaCompilerFactory compilerFactory)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CompilationUnit` | `addClassNode, addFirstPhaseOperation, addFirstPhaseOperation, addJavaCompilationUnits, addNewPhaseOperation, addNewPhaseOperation, addPhaseOperation, addPhaseOperation, addPhaseOperation, addPhaseOperation, addPhaseOperation, addPhaseOperation, addSource, addSource, addSource, addSource, addSource, addSources, addSources, applyToPrimaryClassNodes, applyToSourceUnits, call, call, compile, compile, configure, createClassVisitor, dequeued, getAST, getASTTransformationsContext, getClassNode, getClassNodeResolver, getClasses, getClassgenCallback, getCommonSuperClass, getFirstClassNode, getJavaCompilationUnitSet, getProgressCallback, getSourceUnit, getTransformLoader, hasNext, iterator, mark, needSortedInput, needSortedInput, next, remove, setClassNodeResolver, setClassgenCallback, setProgressCallback`
    `class ProcessingUnit` | `completePhase, configure, getClassLoader, getConfiguration, getErrorCollector, getPhase, getPhaseDescription, gotoPhase, isPhaseComplete, nextPhase, setClassLoader, setConfiguration`

- - ### Constructor Detail

    - #### public JavaAwareCompilationUnit()

    - #### public JavaAwareCompilationUnit(CompilerConfiguration configuration)

    - #### public JavaAwareCompilationUnit(CompilerConfiguration configuration, GroovyClassLoader groovyClassLoader)

    - #### public JavaAwareCompilationUnit(CompilerConfiguration configuration, GroovyClassLoader groovyClassLoader, GroovyClassLoader transformClassLoader)

  - ### Method Detail

    - #### @Override
      public void addSources(String[] paths)

    - #### @Override
      public void addSources(File[] files)

    - #### @Override
      public void configure(CompilerConfiguration configuration)

    - #### public JavaCompilerFactory getCompilerFactory()

    - #### @Override
      public void gotoPhase(int phase)

    - #### @Override
      public LookupResult resolveName(String name, CompilationUnit unit)

    - #### public void setCompilerFactory(JavaCompilerFactory compilerFactory)